import express from 'express';
import Router from 'express-promise-router';
import { createHandler } from './handler';
import cors from 'cors';
export async function startStandaloneServer({ port, users, githubRepositories, githubOrganizations, extend, }) {
    let router = Router();
    router.use(express.json());
    router.get('/health', (_, response) => {
        response.send({ status: 'ok' });
    });
    router.use('/graphql', createHandler({ users, githubRepositories, githubOrganizations }));
    if (extend) {
        extend(router);
    }
    let app = express().use(cors()).use(router);
    let server = app.listen(port);
    if (!server.listening) {
        await new Promise(resolve => {
            server.once('listening', resolve);
        });
    }
    return server;
}
//# sourceMappingURL=standaloneServer.js.map